Skip to main content
`Ctrl`+`K`

# PetscSFRegisterAll

Registers all the `PetscSF` communication implementations

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFRegisterAll(void)

Not Collective

## See Also

`PetscSF`, `PetscSFRegister()`, `PetscSFRegisterDestroy()`

## Level

advanced

## Location

src/vec/is/sf/interface/sfregi.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages